<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::_('bootstrap.tooltip');

$class = ' class="first"';
$lang  = JFactory::getLanguage();
$user   = JFactory::getUser();
$groups = $user->getAuthorisedViewLevels();

// Multicats - override ContentHelperRoute
require_once( JPATH_SITE.DS.'components'.DS.'com_multicats'.DS.'helpers'.DS.'override'.DS.'route.php' );
?>

<?php if (count($this->children[$this->category->id]) > 0) : ?>
<ul class="slist">
	<?php foreach ($this->children[$this->category->id] as $id => $child) : ?>
	<li>
		<?php // Check whether category access level allows access to subcategories. ?>
		<?php if (in_array($child->access, $groups)) : ?>
  		<?php
      $child->numitems = MulticatsContentHelperRoute::getNumItems($child->id);  //Multicats
  		if ($this->params->get('show_empty_categories') || $child->numitems > 0) :
  			if (!isset($this->children[$this->category->id][$id + 1])) :
  				$class = ' class="last"';
  			endif;
  		?>

  		<div<?php echo $class; ?>>
  			<?php $class = ''; ?>
  			<?php if ($lang->isRtl()) : ?>
  			<h3 class="page-header item-title" style="text-align:<?php echo $this->params->get('sctitlealign', 'center'); ?>;">
  				<?php if ( $this->params->get('show_cat_num_articles', 1)) : ?>
  					<span class="badge badge-info tip hasTooltip" title="<?php echo JHtml::_('tooltipText', 'COM_CONTENT_NUM_ITEMS_TIP'); ?>">
  						<?php //echo $child->getNumItems(true); ?>
              <?php echo $child->numitems; // Multicats ?> 
  					</span>
  				<?php endif; ?>
  				<a href="<?php echo JRoute::_(MulticatsContentHelperRoute::getCategoryRoute($child->id)); //Multicats ?>">
  				<?php echo $this->escape($child->title); ?></a>
  
  				<?php if (count($child->getChildren()) > 0 && $this->maxLevel > 1) : ?>
						<a href="#category-<?php echo $child->id; ?>" data-toggle="collapse" data-toggle="button" class="btn btn-mini pull-right" aria-label="<?php echo JText::_('JGLOBAL_EXPAND_CATEGORIES'); ?>"><span class="icon-plus" aria-hidden="true"></span></a>
  				<?php endif; ?>
  			</h3>
  			<?php else : ?>
  			<h3 class="page-header item-title" style="text-align:<?php echo $this->params->get('sctitlealign', 'center'); ?>;"><a href="<?php echo JRoute::_(MulticatsContentHelperRoute::getCategoryRoute($child->id)); //Multicats ?>">
  				<?php echo $this->escape($child->title); ?></a>
  				<?php if ( $this->params->get('show_cat_num_articles', 1)) : ?>
  					<span class="badge badge-info tip hasTooltip" title="<?php echo JHtml::_('tooltipText', 'COM_CONTENT_NUM_ITEMS_TIP'); ?>">
  						<?php //echo $child->getNumItems(true); ?>
              <?php echo $child->numitems; // Multicats ?> 
  					</span>
  				<?php endif; ?>
  
  				<?php if (count($child->getChildren()) > 0 && $this->maxLevel > 1) : ?>
						<a href="#category-<?php echo $child->id; ?>" data-toggle="collapse" data-toggle="button" class="btn btn-mini pull-right" aria-label="<?php echo JText::_('JGLOBAL_EXPAND_CATEGORIES'); ?>"><span class="icon-plus" aria-hidden="true"></span></a>
  				<?php endif; ?>
  			</h3>
				<?php endif; ?>

  			<?php if ($this->params->get('show_subcat_desc') == 1) : ?>
  				<?php if ($child->description) : ?>
  					<div class="category-desc">
  						<?php echo JHtml::_('content.prepare', $child->description, '', 'com_content.category'); ?>
  					</div>
  				<?php endif; ?>
  			<?php endif; ?>
  
  			<?php if (count($child->getChildren()) > 0 && $this->maxLevel > 1) : ?>
    			<div class="collapse fade" id="category-<?php echo $child->id; ?>">
    				<?php
    				$this->children[$child->id] = $child->getChildren();
    				$this->category = $child;
    				$this->maxLevel--;
    				echo $this->loadTemplate('children');
    				$this->category = $child->getParent();
    				$this->maxLevel++;
    				?>
					</div>
				<?php endif; ?>

			</div>
			<?php endif; ?>

		<?php endif; ?>
	</li>
	<?php endforeach; ?>
</ul>
<?php endif; ?>
