<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::_('bootstrap.tooltip');

// Multicats - override ContentHelperRoute
require_once( JPATH_SITE.'/components/com_multicats/helpers/override/route.php' ); 

$subcatcol = 'span'.$this->params->get('subcatcolumns', '3');
$class = $subcatcol.' first';
$lang  = JFactory::getLanguage();
$user   = JFactory::getUser();
$groups = $user->getAuthorisedViewLevels();

if ($this->maxLevel != 0 && count($this->children[$this->category->id]) > 0) : ?>

<?php
$scstyle = '';
$hex = $this->params->get("subcatbgcl", "#f5f5f5");
list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
if ($r != null && $g != null && $b != null) {
$subcatbgcl = "rgba(".$r.",".$g.",".$b.",".$this->params->get("subcatbgcla", "1").")";
$scstyle .= 'background-color:'.$subcatbgcl.';';
}
else {
$scstyle .= '
background-color:'.$this->params->get("subcatbgcl", "#f5f5f5").';
';
}

$mrgn = explode('|',$this->params->get("subcatmargin", "0px|0px|0px|0px"));
if ($mrgn[0]) {$mrgnt = $mrgn[0];} else {$mrgnt = "0px";}
if ($mrgn[1]) {$mrgnr = $mrgn[1];} else {$mrgnr = $mrgnt;}
if ($mrgn[2]) {$mrgnb = $mrgn[2];} else {$mrgnb = $mrgnt;}
if ($mrgn[3]) {$mrgnl = $mrgn[3];} else {$mrgnl = $mrgnr;}
$pdng = explode('|',$this->params->get("subcatpadding", "0px|0px|0px|0px"));
if ($pdng[0]) {$pdngt = $pdng[0];} else {$pdngt = "0px";}
if ($pdng[1]) {$pdngr = $pdng[1];} else {$pdngr = $pdngt;}
if ($pdng[2]) {$pdngb = $pdng[2];} else {$pdngb = $pdngt;}
if ($pdng[3]) {$pdngl = $pdng[3];} else {$pdngl = $pdngr;}
$scstyle .='
margin:'.$mrgnt.' '.$mrgnr.' '.$mrgnb.' '.$mrgnl.';
padding:'.$pdngt.' '.$pdngr.' '.$pdngb.' '.$pdngl.';
';
$subcatbp = $this->params->get("subcatbp", "all");
if ($subcatbp == "all") {$scstyle .= 'border:'.$this->params->get("subcatbw", "0px").' '.$this->params->get("subcatbt", "solid").' '.$this->params->get("subcatbc", "#ffffff").';';}
elseif ($subcatbp == "tb" or $subcatbp == "lr") {if ($subcatbp == "tb") {
$scstyle .= '
border-top:'.$this->params->get("subcatbw", "0px").' '.$this->params->get("subcatbt", "solid").' '.$this->params->get("subcatbc", "#ffffff").';
border-bottom:'.$this->params->get("subcatbw", "0px").' '.$this->params->get("subcatbt", "solid").' '.$this->params->get("subcatbc", "#ffffff").';
';} else {$scstyle .= '
border-left:'.$this->params->get("subcatbw", "0px").' '.$this->params->get("subcatbt", "solid").' '.$this->params->get("subcatbc", "#ffffff").';
border-right:'.$this->params->get("subcatbw", "0px").' '.$this->params->get("subcatbt", "solid").' '.$this->params->get("subcatbc", "#ffffff").';
';}} else {$scstyle .= 'border-'.$subcatbp.':'.$this->params->get("subcatbw", "0px").' '.$this->params->get("subcatbt", "solid").' '.$this->params->get("subcatbc", "#ffffff").';';}
$brrds = explode('|',$this->params->get("subcatbr", "0px|0px|0px|0px"));
if ($brrds[0]) {$brrdstl = $brrds[0];} else {$brrdstl = "0px";}
if ($brrds[1]) {$brrdstr = $brrds[1];} else {$brrdstr = $brrdstl;}
if ($brrds[2]) {$brrdsbr = $brrds[2];} else {$brrdsbr = $brrdstl;}
if ($brrds[3]) {$brrdsbl = $brrds[3];} else {$brrdsbl = $brrdstr;}
$scstyle .='
border-radius:'.$brrdstl.' '.$brrdstr.' '.$brrdsbr.' '.$brrdsbl.';
';
?>
<?php if ($scstyle != null) {echo '<style type="text/css">div#content .cat-children .subcategory {'.$scstyle.'}</style>';} ?>

	<?php foreach ($this->children[$this->category->id] as $id => $child) : ?>
		<?php // Check whether category access level allows access to subcategories. ?>
		<?php if (in_array($child->access, $groups)) : ?>
		<?php
		//if ($this->params->get('show_empty_categories') || $child->numitems || count($child->getChildren())) :
        $child->numitems = MulticatsContentHelperRoute::getNumItems($child->id); // Multicats
		if ($this->params->get('show_empty_categories') || $child->numitems > 0) :
  			if (!isset($this->children[$this->category->id][$id + 1])) :
  				$class = $subcatcol.' last';
  			endif;
  		?>
  		<div class="subcategory peqh <?php echo $class; ?>">
  			<?php $class = $subcatcol; ?>
  			
  			
  			<?php
                $itemimage = json_decode($child->params)->image;
                if ($this->params->get('show_scimg', '1') && ($this->params->get('scimgplace', 'after') == 'before')) {
                $scimgalt = json_decode($child->params)->image_alt;
                if (!$scimgalt) {$scimgalt = $this->escape($child->title);}
                if ($itemimage) {
                ?>
                <div class="item-image <?php echo $this->params->get('scimgalign', 'center'); ?>">
                    <a href="<?php echo JRoute::_(MulticatsContentHelperRoute::getCategoryRoute($child->id)); ?>">
                        <img src="<?php echo $itemimage; ?>" alt="<?php echo $scimgalt; ?>" title="<?php echo $scimgalt; ?>" class="<?php echo $this->params->get('scimgClass', ''); ?>" style="width:<?php echo $this->params->get('scimgwidth', '100%'); ?>;height:<?php echo $this->params->get('scimgheight', 'auto'); ?>;" />
                    </a>
                </div>
            <?php } else { ?>
                <div class="item-image <?php echo $this->params->get('scimgalign', 'center'); ?>">
                    <a href="<?php echo JRoute::_(MulticatsContentHelperRoute::getCategoryRoute($child->id)); ?>">
                        <img src="<?php echo JURI::base().'images/no-image.jpg'; ?>" alt="<?php echo $scimgalt; ?>" title="<?php echo $scimgalt; ?>" class="<?php echo $this->params->get('scimgClass', ''); ?>" style="width:<?php echo $this->params->get('scimgwidth', '100%'); ?>;height:<?php echo $this->params->get('scimgheight', 'auto'); ?>;" />
                    </a>
                </div>
            <?php }} ?>
  			
  			
  			<?php if ($this->params->get('show_sctitle', '1')) : ?>
  			<?php if ($lang->isRtl()) : ?>
  			<h3 class="page-header item-title <?php echo $this->params->get('sctitlealign', 'center'); ?>">
  				<?php if ( $this->params->get('show_cat_num_articles', 1)) : ?>
  					<span class="badge badge-info tip hasTooltip" title="<?php echo JHtml::_('tooltipText', 'COM_CONTENT_NUM_ITEMS_TIP'); ?>">
  						<?php //echo $child->getNumItems(true); ?>
              <?php echo $child->numitems; // Multicats ?> 
  					</span>
  				<?php endif; ?>
  				<a href="<?php echo JRoute::_(MulticatsContentHelperRoute::getCategoryRoute($child->id)); ?>">
  				<?php echo $this->escape($child->title); ?></a>
  
  				<?php if ($this->maxLevel > 1 && count($child->getChildren()) > 0) : ?>
  					<a href="#category-<?php echo $child->id; ?>" data-toggle="collapse" data-toggle="button" class="btn btn-mini pull-right" aria-label="<?php echo JText::_('JGLOBAL_EXPAND_CATEGORIES'); ?>"><span class="icon-plus" aria-hidden="true"></span></a>
  				<?php endif; ?>
  			</h3>
  			<?php else : ?>
  			<h3 class="page-header item-title <?php echo $this->params->get('sctitlealign', 'center'); ?>"><a href="<?php echo JRoute::_(ContentHelperRoute::getCategoryRoute($child->id)); ?>">
  				<?php echo $this->escape($child->title); ?></a>
  				<?php if ( $this->params->get('show_cat_num_articles', 1)) : ?>
  					<span class="badge badge-info tip hasTooltip" title="<?php echo JHtml::_('tooltipText', 'COM_CONTENT_NUM_ITEMS_TIP'); ?>">
  						<?php echo JText::_('COM_CONTENT_NUM_ITEMS'); ?>&nbsp;        
  						<?php //echo $child->getNumItems(true); ?>
              <?php echo $child->numitems; // Multicats ?> 
  					</span>
  				<?php endif; ?>
  
  				<?php if ($this->maxLevel > 1 && count($child->getChildren()) > 0) : ?>
  					<a href="#category-<?php echo $child->id; ?>" data-toggle="collapse" data-toggle="button" class="btn btn-mini pull-right" aria-label="<?php echo JText::_('JGLOBAL_EXPAND_CATEGORIES'); ?>"><span class="icon-plus" aria-hidden="true"></span></a>
  				<?php endif; ?>
  			</h3>
  			<?php endif; ?>
  			<?php endif; ?>
            
            <?php
                //S63 cellected before; $itemimage = json_decode($child->params)->image;
                if ($this->params->get('show_scimg', '1') && ($this->params->get('scimgplace', 'after') == 'after')) {
                $scimgalt = json_decode($child->params)->image_alt;
                if (!$scimgalt) {$scimgalt = $this->escape($child->title);}
                if ($itemimage) {
                ?>
                <div class="item-image <?php echo $this->params->get('scimgalign', 'center'); ?>">
                    <a href="<?php echo JRoute::_(MulticatsContentHelperRoute::getCategoryRoute($child->id)); ?>">
                        <img src="<?php echo $itemimage; ?>" alt="<?php echo $scimgalt; ?>" title="<?php echo $scimgalt; ?>" class="<?php echo $this->params->get('scimgClass', ''); ?>" style="width:<?php echo $this->params->get('scimgwidth', '100%'); ?>;height:<?php echo $this->params->get('scimgheight', 'auto'); ?>;" />
                    </a>
                </div>
            <?php } else { ?>
                <div class="item-image <?php echo $this->params->get('scimgalign', 'center'); ?>">
                    <a href="<?php echo JRoute::_(MulticatsContentHelperRoute::getCategoryRoute($child->id)); ?>">
                        <img src="<?php echo JURI::base().'images/no-image.jpg'; ?>" alt="<?php echo $scimgalt; ?>" title="<?php echo $scimgalt; ?>" class="<?php echo $this->params->get('scimgClass', ''); ?>" style="width:<?php echo $this->params->get('scimgwidth', '100%'); ?>;height:<?php echo $this->params->get('scimgheight', 'auto'); ?>;" />
                    </a>
                </div>
            <?php }} ?>
            
  			<?php if ($this->params->get('show_subcat_desc') == 1) : ?>
  			<?php if ($child->description) : ?>
  				<div class="category-desc">
  					<?php echo JHtml::_('content.prepare', $child->description, '', 'com_content.category'); ?>
  				</div>
  			<?php endif; ?>
  			<?php endif; ?>
  
  			<?php if ($this->maxLevel > 1 && count($child->getChildren()) > 0) : ?>
  			<div class="collapse fade" id="category-<?php echo $child->id; ?>">
  				<?php
  				$this->children[$child->id] = $child->getChildren();
  				$this->category = $child;
  				$this->maxLevel--;
  				echo $this->loadTemplate('children');
  				$this->category = $child->getParent();
  				$this->maxLevel++;
  				?>
  			</div>
  			<?php endif; ?>
			</div>
			<?php endif; ?>
		<?php endif; ?>
	<?php endforeach; ?>

<?php endif;